"""add-capability-metrics-view

Revision ID: 565c61a53263
Revises: 52638b256dc1
Create Date: 2021-03-29 15:55:27.715018

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = '565c61a53263'
down_revision = '52638b256dc1'
branch_labels = None
depends_on = None


def upgrade():
    op.execute("""
    CREATE VIEW capability_execution_metrics AS
    SELECT cr.capability_request_id as request_id,
       cr.capability_name as cap_name,
       cr.created_at as request_created,
       ex.execution_id as execution_id,
       ex.created_at as execution_created,
       ex.state as execution_state,
       ex.current_workflow_request_id as execution_workflow_id
    FROM capability_executions ex
        Join capability_requests cr on ex.capability_request_id = cr.capability_request_id
    """)


def downgrade():
    op.execute("""
    DROP VIEW IF EXISTS capability_execution_metrics
    """)
